#PRAGMA array_base = 1
#INCLUDE "./repAyTimerEEB.bas"




'defino una variable Comun al programa compilado en la 24576 y la 49152, llamador y llamado respectivamente.
IF variableComun1 = 1 then
    activaChipAy()
    'canal a, b y c respectivamente
    estableceVolumenCanalesAy(9,12,15)
    'carga los datos de la melodia presente en RepAyAddress
    inicializaReproduccionAy()  
    #ifdef debug_musica_activo
        muestraInfoMelodia()
    #endif
ELSE if variableComun1= 2 then
     procesaUnaNota()
ELSE if  variableComun1 = 3 
     changeStatusRepAy(1) 
ELSE if  variableComun1 = 4 
     changeStatusRepAy(2) 
ELSE if  variableComun1 = 5 
     changeStatusRepAy(0) 
END IF
